<?php
/**
 * Template part file the contains the Comments functionality
 *
 * This template file includes both the comments list and
 * the comment reply form. 
 * 
 * @uses 		function_name()
 * 
 * @package 	BigButtons
 * @copyright	Copyright (c) 2011, OrderStorm Inc.
 * @license		http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License, v2 (or newer)
 *
 * @since 		BigButtons 1.0
 */
?>

<!-- Comments Begin (div#comments) -->
<div id="comments">

	<?php 
	if ( have_comments() ) {
		?>
		<h2 class="commentsheader">
			<?php comments_number( 'No Comments', '1 Comment', '% Comments' ); ?>
			<?php if ( comments_open() ) : ?>
				<a href="#postcomment" title="Leave a comment">&raquo;</a>
			<?php endif; ?>
		</h2>
		<?php
		// Globalize variable that holds comments by type
		global $comments_by_type;	
		?>
		<h3>Comments</h3>

		<?php 
		// If the paged comments setting is enabled, and enough comments exisst to cause comments to be paged
		if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { 
			?>
			<div class="nav-comments">
				<?php paginate_comments_links( array( 'prev_text' => '&lt;&lt;', 'next_text' => '&gt;&gt;' ) ); ?>
			</div> <!-- .navigation -->
			<?php 
		} // check for comment navigation 
		
		if ( get_comments_number() > '0' ) { 
			?>
			<ul class="commentlist">
				<?php	wp_list_comments( 'type=comment&avatar_size=40' ); ?>
			</ul>
			<?php 
		}

		// Are there comments to navigate through?
		if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) {
			?>
			<div class="nav-comments">
				<?php paginate_comments_links( array( 'prev_text' => '&lt;&lt;', 'next_text' => '&gt;&gt;' ) ); ?>
			</div>
			<?php 
		} // check for comment navigation 		
		
		// if the post has any trackbacks or pingbacks, display them as a list		
		global $comments_by_type;
		$comments_by_type = &separate_comments( $comments );
		if ( ! empty( $comments_by_type['pings'] ) ) {  
			?>
			<h3 class='trackbackheader'>Trackbacks</h3>
			<ol class="trackbacklist">
				<?php wp_list_comments( array( 'type' => 'pings', 'callback' => 'big_buttons_comment_list_pings' ) ); ?>
			</ol>
			<?php 
		}
	} else { 
		// or, if we don't have comments:
	} 
	// end have_comments() 

	comment_form();
	
	?>

</div>
<!-- Comments End  (div#comments) -->